Package org.eclipse.ui.texteditor

# Class AbstractTextEditor.IdMapEntry

java.lang.Object
org.eclipse.ui.texteditor.AbstractTextEditor.IdMapEntry

Enclosing class:
  `AbstractTextEditor`

protected static final class AbstractTextEditor.IdMapEntry extends Object
Maps an action definition id to an StyledText action.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`IdMapEntry(String actionId, int action)`
Creates a new mapping.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAction()`
Returns the action.
`String`
`getActionId()`
Returns the action id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdMapEntry

public IdMapEntry(String actionId, int action)
Creates a new mapping.

Parameters:
  `actionId` - the action id
  `action` - the StyledText action

## Method Details

### getActionId

public String getActionId()
Returns the action id.

Returns:
  the action id

### getAction

public int getAction()
Returns the action.

Returns:
  the action